# DataExchange
TKXSBase
IFGraph

# IFGraph_ConnectedComponants Class Reference

determines Connected Componants in a Graph. They define
disjoined sets of Entities

`#include <IFGraph_ConnectedComponants.hxx>`

Inheritance diagram for IFGraph_ConnectedComponants:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | IFGraph_ConnectedComponants (const Interface_Graph &agraph, const Standard_Boolean whole)
| creates with a Graph, and will analyse : whole True : all the contents of the Model whole False : sub-parts which will be given later
virtual Standard_EXPORT void | Evaluate ()
| does the computation

## Constructor & Destructor Documentation

Standard_EXPORT IFGraph_ConnectedComponants::IFGraph_ConnectedComponants | ( | const Interface_Graph & | agraph,
|  | const Standard_Boolean | whole
| ) |

## Member Function Documentation

virtual Standard_EXPORT void IFGraph_ConnectedComponants::Evaluate | ( |  | ) | `[virtual]`

| Reimplemented from IFGraph_SubPartsIterator.

void IFGraph_ConnectedComponants::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from IFGraph_SubPartsIterator.

void* IFGraph_ConnectedComponants::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from IFGraph_SubPartsIterator.

void* IFGraph_ConnectedComponants::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from IFGraph_SubPartsIterator.

The documentation for this class was generated from the following file:

- IFGraph_ConnectedComponants.hxx